Subject: [bug#28972] [PATCH] gnu: Remove unrar.

From: nee <[email-masked]>
Date: Tue, 24 Oct 2017 22:09:00 +0200

Am 24.10.2017 um 21:07 schrieb ng0:
> Leo Famulari transcribed 1.4K bytes:
>> This package is abandoned upstream and contains serious bugs:
>>
>> http://seclists.org/oss-sec/2017/q3/329
>> https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14120
>> https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14121
>> https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14122
> 
> Oh oh. Do we have another package providing the binar(ies) and function
> unrar has?
> 
Is anything actually using unrar?

grep -r unrar in guix-git/gnu/ gives me no relevant hits

I tried to add it as input for the mcomix package when I packaged
mcomix, but it was unusable and couldn't open a single file.
I remember that it behaved weird and unexpected and sometimes asked for
passwords on stdin when the file wasn't encrypted.

It is very outdated and the rar standard it supports has been replaced
around 15 years ago.

The closest replacement that I know is libarchive, it's not a
commandline utility like unrar, but it is used in  file-roller which can
open some rars.